﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Data;

namespace SyncfusionBindingError.Converter
{
    public class ValueToMoneyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {

            bool isZeroConverter = parameter != null;

            if (value == null || ((decimal)value == 0) && !isZeroConverter)
            {
                return "";
            }

            var money = (decimal)value;
            var moneyString = ((decimal)money).ToString("C", new CultureInfo("en-US"));

            return moneyString;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            return value;
        }
    }
}
